<?php
/*
 *	$Id: sslclient5.php,v 1.6 2009-04-20 09:51:22 mateusz Exp $
 *
 *	SSL client sample.
 *
 *	Service: SOAP endpoint
 *	Payload: rpc/encoded
 *	Transport: https
 *	Authentication: none
 */
function error($err,$print=''){
    die($err.$print);
}
        
set_time_limit (300);

for($i=0;$i<1000;$i++){
	//adres email
	$obj[$i]['email']="soap".$i."@mx.enewsletter.pl";
	$nr=rand(1,9);
	//losowa cecha
	$obj[$i]['prop'.$nr]=$nr;
	//dopisz do grupy 35
	$obj[$i]['groups']=array(35);
	//ze statusem 8
	$obj[$i]['status']=8;
}

//key_cert.pem - sklejony plik z klucza prywatnego .key z fragmentem z certyfikatem z pliku podpisanego .pem
try {
	$client = new SoapClient('https://www.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "key_cert.pem", "trace"=>1));
	$result = $client->Login();
	$result = $client->ImportAddresses($obj, "replace", true);
} catch (SoapFault $fault) {
	//var_dump($client->__getLastResponseHeaders());	//do debugowania
	//var_dump($client->__getLastResponse());
	error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring});\ntrace: ".$fault->__toString());
}


